using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Winson.EntityOP;
using Winson.Framework.Controls;

public partial class TagCloud : System.Web.UI.Page
{
    Dialog dialog;
    protected void Page_Load(object sender, EventArgs e)
    {
        
        Test test = new Test();
        TagCloud1.DataTextField = "Name";
        TagCloud1.DataTitleField = "Age";
        TagCloud1.DataTitleFormatString = "{0} artilces on the subject";
        TagCloud1.DataWeightField = "Age";
        TagCloud1.DataSource = test.GetList(null);
        TagCloud1.Items.Add(new CloudItem("Test",20,"www.szblogs.com","测试"));
        TagCloud1.DataBind();
    }

    protected void TagCloud1_ItemClick(object sender, CloudItemClickEventArgs e)
    {
        dialog = new Dialog(this);
        dialog.ShowMsgBox("Hey ! 你点击了一个Item!!名称是：" + e.Item.Text);
    }

}
